liblxqt-0.12.0

Introduction to liblxqt

The liblxqt is the core utility library for all LXQt components.

This package is known to build and work properly using an LFS-8.1 platform.

Package Information

liblxqt Dependencies

Required

libqtxdg-3.1.0 and (kwindowsystem-5.41.0 for lxqt or KDE Frameworks-5.41.0)

Optional

git-2.15.1 (to download translation files) or lxqt-l10n-0.12.0 (to add localization files)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/liblxqt

Installation of liblxqt

Install liblxqt by running the following commands:

mkdir -v build &&
cd       build &&

cmake -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
      -DCMAKE_BUILD_TYPE=Release          \
      -DPULL_TRANSLATIONS=no              \
      ..                                  &&
make

This package does not come with a test suite.

Now, as the root user:

make install

Command Explanations

-DPULL_TRANSLATIONS=no: Removes the need for git-2.15.1, which would otherwise be requested to download the translation files.

Contents

Installed Programs: None
Installed Library: liblxqt.so
Installed Directories: $LXQT_PREFIX/include/lxqt and $LXQT_PREFIX/share/cmake/lxqt

Short Descriptions

liblxqt.so

contains the liblxqt API functions.

Last updated on 2017-10-27 11:21:45 -0500